# -*- coding: utf-8 -*-

"""
***************************************************************************
    getools.py
    ---------------------
    Date                 : October 2013
    Copyright            : (C) 2013 by Alexander Bruy
    Email                : alexannder dot bruy at gmail dot com
***************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
***************************************************************************
"""

__author__ = 'Alexander Bruy'
__date__ = 'October 2013'
__copyright__ = '(C) 2013, Alexander Bruy'

# This will get replaced with a git SHA1 when you do a git archive

__revision__ = '$Format:%H$'

from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.QtXml import *

from qgis.core import *
from qgis.gui import *

from plugindialog import PluginDialog


class testplugin:
    def __init__(self, iface):
        self.iface = iface
        self.canvas = self.iface.mapCanvas()

    def initGui(self):
        self.actionRun = QAction('Test composer', self.iface.mainWindow())

        self.iface.addPluginToVectorMenu('Test composer', self.actionRun)

        self.actionRun.triggered.connect(self.run)

    def unload(self):
        self.iface.removePluginVectorMenu('Test composer', self.actionRun)

    def run(self):
        dlg = PluginDialog(self.iface)
        dlg.show()
        dlg.exec_()
